<?php
/**
 * @package Titan Team
 * @version 1.0
 */
/*
Plugin Name: FormTitan Plugin
Plugin URI: https://wordpress.org/plugins/formtitan
Description: Easily create powerful forms with the Titan Improve your conversions with our innovative CRO engine.
Author: Titan Team
Version: 1.0
Author URI: http://developer.formtitan.com
*/

/*
Copyright 2016  Titan Team  (email: developer@formtitan.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
class FormTitan {

	public static function init() {
        //menu setup
        add_action('admin_menu', ['FormTitan', 'admin_menu_setup'], 20);
	}

    public static function formtitan_css_and_js() {
        wp_register_style('formtitan_css_and_js', plugins_url('assets/style.css',__FILE__ ));
        wp_enqueue_style('formtitan_css_and_js');
        wp_register_script('formtitan_css_and_js', plugins_url('assets/script.js',__FILE__ ));
        wp_enqueue_script('formtitan_css_and_js');
    }

    public static function create_button(){
        if(array_search(basename($_SERVER['SCRIPT_FILENAME']), ['post.php', 'post-new.php']) !== false){
            ?>
            <div class="wp-core-ui">
                <button type="button" class="button ft-button" id="ft-get-forms">
                    <span class="ft-button-logo" style="background: url('<? echo plugins_url('assets/formtitan.ico',__FILE__ )?>')"></span> Get forms</button>
            </div>
            <?php
        }
    }

    public static function admin_menu_setup(){
        add_submenu_page(
            'options-general.php',
            'FormTitan',
            'FormTitan',
            'manage_options',
            'form_titan',
            ['FormTitan','admin_page_screen']
        );

        add_filter('plugin_action_links', ['FormTitan', 'settings_link'], 2, 2);
        add_action('in_admin_header', ['FormTitan', 'create_button']);
        add_action( 'admin_init', ['FormTitan', 'formtitan_css_and_js']);
    }


    /* display page content */
    public static function admin_page_screen(){
        global $submenu;

        // access page settings
        $page_data = array();

        foreach ($submenu['options-general.php'] as $i => $menu_item) {
            if ($submenu['options-general.php'][$i][2] == 'msp_helloworld') {
                $page_data = $submenu['options-general.php'][$i];
            }
        }
        //view for settings
        require_once(FORMTITAN__PLUGIN_DIR . '/views/settings.php');
    }

    //for link
    public static function settings_link($actions, $file){
        if (false !== strpos($file, 'formtitan')) {
            $actions['settings'] = '<a href="options-general.php?page=form_titan">Settings</a>';
        }
        return $actions;
    }
}
